Bug 7415 - Update locale support for what glibc 2.3.2 supports
Summary: Update locale support for what glibc 2.3.2 supports
Status: RESOLVED MOVED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/Xlib (data) (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Julien Cristau
QA Contact: Xorg Project Team
URL:
Whiteboard: 2011BRB_Reviewed
Keywords: l10n, patch
Depends on:
Blocks:
 
Reported: 2006-07-04 08:27 UTC by David Nusinow
Modified: 2018-08-10 20:11 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Support for updated glibc locales (41.27 KB, patch)
2006-07-04 08:28 UTC, David Nusinow
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Nusinow 2006-07-04 08:27:30 UTC
Attached is a patch we've been shipping with Debian for a while now that
includes support for all the locales supported by glibc 2.3.2. The documentation
for the patch is included in its header. This applies cleanly to what's
currently in git master HEAD.
Comment 1 David Nusinow 2006-07-04 08:28:33 UTC
Created attachment 6116 [details] [review]
Support for updated glibc locales
Comment 2 Daniel Stone 2007-02-27 01:32:46 UTC
Sorry about the phenomenal bug spam, guys.  Adding xorg-team@ to the QA contact so bugs don't get lost in future.
Comment 3 Matt Turner 2010-12-03 13:38:01 UTC
The patch no longer applies. This bug report is old and useless, so I'll close it.

I have no idea of the status of this patch, whether parts of it are upstream or not. Please review and send an updated patch to xorg-devel@lists.x.org.
Comment 4 Julien Cristau 2010-12-04 04:35:22 UTC
The bug is a reminder for us to get our changes upstream.  Please don't close it until that has happened.  The current version of the patch is http://git.debian.org/?p=pkg-xorg/lib/libx11.git;a=blob;f=debian/patches/003_recognize_glibc_2.3.2_locale_names.diff
Comment 5 Alistair Leslie-Hughes 2011-04-12 03:23:07 UTC
Is someone working to getting the debian changes made upstream?

If not, what would be the best approach to split the patch
into smaller chunks for submitting?
Comment 6 Julien Cristau 2011-04-27 00:42:47 UTC
> --- Comment #5 from Alistair Leslie-Hughes <leslie_alistair@hotmail.com> 2011-04-12 03:23:07 PDT ---
> Is someone working to getting the debian changes made upstream?
> 
not as far as i know :(
Comment 7 Jeremy Huddleston Sequoia 2011-10-09 02:21:04 UTC
What is blocking this?  You have the patches, right?  Can you send them to 
xorg-devel for review, or are they not yet ready to get out of the Debian 
garage?
Comment 8 Julien Cristau 2011-10-10 14:02:45 UTC
> --- Comment #7 from Jeremy Huddleston <jeremyhu@freedesktop.org> 2011-10-09 02:21:04 PDT ---
> What is blocking this?

Free time to give the patch a once-over, and then push.  The url is
comment#4 should still point to the latest version, if you can get to
that before I do...  Maybe at the week end.
Comment 9 Arkadiusz Miskiewicz 2013-05-25 08:33:14 UTC
We are dragging even bigger patch

http://git.pld-linux.org/gitweb.cgi?p=packages/xorg-lib-libX11.git;a=blob;f=xorg-lib-libX11-glibc-locale_sync.patch;h=ef95002521a6f2c7d7b6ca36a51b66b75f457447;hb=HEAD

Would be nice to finally see some form of glibc locale sync to be merged.
Comment 10 GitLab Migration User 2018-08-10 20:11:45 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/lib/libx11/issues/52.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.